## cascading.operation
Interface GroupAssertionCall<C>

All Superinterfaces:
  OperationCall<C>

All Known Implementing Classes:
  ConcreteCall

    public interface GroupAssertionCall<C>

extends OperationCall<C>

Interface GroupAssertionCall provides access to the current `GroupAssertion` invocation arguments.

This interface is generic, allowing the user to set a custom 'context' object when `GroupAssertion.start(cascading.flow.FlowProcess, GroupAssertionCall)` is called. The `OperationCall.setContext(Object)` and `OperationCall.getContext()` methods are inherited from `OperationCall`.

See Also:
  `GroupAssertion`, `OperationCall`

Method Summary
`TupleEntry` `getArguments()` Returns `TupleEntry` of argument values.
`TupleEntry` `getGroup()` Returns the current grouping `TupleEntry`.

Methods inherited from interface cascading.operation.OperationCall
`getArgumentFields, getContext, setContext`

Method Detail

### getGroup

    TupleEntry getGroup()

  Returns the current grouping `TupleEntry`.

  Returns:
    TupleEnry

### getArguments

    TupleEntry getArguments()

  Returns `TupleEntry` of argument values.

  Returns:
    TupleEntry

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.